Gecode::FlatZinc::MeritMaxAFC Class Reference

Select by maximal AFC. More...

`#include <branch.hh>`

## Public Member Functions

| MeritMaxAFC (Space &home, const IntBoolVarBranch &ibvb)
| Constructor for initialization.
| MeritMaxAFC (Space &home, MeritMaxAFC &m)
| Constructor for cloning.
double | operator() (Int::IntView x, int i) const
| Return merit.
double | operator() (Int::BoolView x, int i) const
| Return merit.
void | dispose (void)
| Dispose.

## Protected Attributes

IntAFC | iafc
| Integer AFC information.
BoolAFC | bafc
| Boolean AFC information.

## Detailed Description

Select by maximal AFC.

Definition at line 126 of file branch.hh.

## Constructor & Destructor Documentation

## MeritMaxAFC() [1/2]

Gecode::FlatZinc::MeritMaxAFC::MeritMaxAFC | ( | Space & | home,
|  | const IntBoolVarBranch & | ibvb )

inline

Constructor for initialization.

Definition at line 165 of file branch.hpp.

## MeritMaxAFC() [2/2]

Gecode::FlatZinc::MeritMaxAFC::MeritMaxAFC | ( | Space & | home,
|  | MeritMaxAFC & | m )

inline

Constructor for cloning.

Definition at line 168 of file branch.hpp.

## Member Function Documentation

## operator()() [1/2]

double Gecode::FlatZinc::MeritMaxAFC::operator() | ( | Int::IntView | x,
|  | int | i ) const

inline

Return merit.

Definition at line 171 of file branch.hpp.

## operator()() [2/2]

double Gecode::FlatZinc::MeritMaxAFC::operator() | ( | Int::BoolView | x,
|  | int | i ) const

inline

Return merit.

Definition at line 175 of file branch.hpp.

## dispose()

void Gecode::FlatZinc::MeritMaxAFC::dispose | ( | void |  | ) |

inline

Dispose.

Definition at line 179 of file branch.hpp.

## Member Data Documentation

## iafc

IntAFC Gecode::FlatZinc::MeritMaxAFC::iafc

protected

Integer AFC information.

Definition at line 129 of file branch.hh.

## bafc

BoolAFC Gecode::FlatZinc::MeritMaxAFC::bafc

protected

Boolean AFC information.

Definition at line 131 of file branch.hh.

The documentation for this class was generated from the following files:

- gecode/flatzinc/branch.hh
- gecode/flatzinc/branch.hpp